routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('offer', 'OfferController');
Route::resource('beneficiary', 'BeneficiaryController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Beneficiary.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Beneficiary extends Model
{
    protected $fillable = [

            'name',
            'surname',
            'dni',
            'birthday',
            'adress',
            'phone',
            'email'
    ];
    protected $dates =[
        'birthday'
    ];

    public function getDateForInput(){
        return $this->birthday->format('Y-m-d');
    }
}

app/Http/Controllers/BeneficiaryController.php
<?php

namespace App\Http\Controllers;

use App\Beneficiary;
use Illuminate\Http\Request;

class BeneficiaryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $beneficiaries=Beneficiary::all();
        return view('beneficiary.index',compact('beneficiaries'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('beneficiary.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $beneficiary=new Beneficiary([
            'name'=>$request->get('name'),
            'surname'=>$request->get('surname'),
            'dni'=>$request->get('dni'),
            'birthday'=>$request->get('birthday'),
            'adress'=>$request->get('adress'),
            'phone'=>$request->get('phone'),
            'email'=>$request->get('email'),
        ]);
        $beneficiary->save();
        return redirect('/beneficiary')->with('success','Beneficiary saved!');
    }
    

    /**
     * Display the specified resource.
     *
     * @param  \App\Beneficiary  $beneficiary
     * @return \Illuminate\Http\Response
     */
    public function show(Beneficiary $beneficiary)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Beneficiary  $beneficiary
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $beneficiary = Beneficiary::find($id);
        return view('beneficiary.edit', compact('beneficiary'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Beneficiary  $beneficiary
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Beneficiary $beneficiary)
    {
        $beneficiary->update($request->all());
        return redirect('/beneficiary')->with('success', 'Beneficiary updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Beneficiary  $beneficiary
     * @return \Illuminate\Http\Response
     */
    public function destroy(Beneficiary $beneficiary)
    {
        $beneficiary->delete();
        return redirect('/beneficiary')->with('success', 'Beneficiary deleted!');
    }
}

resources/views/beneficiary/create.blade.php
@extends('base')

@section('main')

<div class="row">
        <div class="col-sm-8 offset-sm-2">
                <h1 class="display-3">Add a Beneficiary</h1>
                <div>
                  @if ($errors->any())
                    <div class="alert alert-danger">
                      <ul>
                          @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                          @endforeach
                      </ul>
                    </div><br />
                    @endif



    <h1>Esto es el formulario de beneficiaries</h1>
    <form method="post" action="{{route('beneficiary.store')}}">
    @csrf
    <div class="form-group"><label for="name">Name</label><input class="form-control" type="text" name="name"></div>
    <div class="form-group"><label for="surname">Surname</label><input class="form-control" type="text" name="surname"></div>
    <div class="form-group"><label for="dni">Dni</label><input class="form-control" type="char" name="dni"></div>
    <div class="form-group"><label for="birthday">birthday</label><input class="form-control" type="date" name="birthday"></div>
    <div class="form-group"><label for="adress">adress</label><input class="form-control" type="text" name="adress"></div>
    <div class="form-group"><label for="phone">phone</label><input class="form-control" type="integer" name="phone"></div>
    <div class="form-group"><label for="email">email</label><input class="form-control" type="text" name="email"></div>
    <button type="submit" class="btn btn-primary-outline">Add beneficiary</button>
    </form>
@endsection

resources/views/beneficiary/edit.blade.php
@extends('base') 

@section('main')
<div class="row">
    <div class="col-sm-8 offset-sm-2">
        <h1 class="display-3">Update a beneficiary</h1>

        @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        <br /> 
        @endif
        <form method="post" action="{{ route('beneficiary.update', $beneficiary->id) }}">
            @method('PATCH') 
            @csrf
    <div class="form-group"><label for="name">Name</label><input class="form-control" type="text" name="name" value="{{ $beneficiary->name }}"></div>
    <div class="form-group"><label for="surname">Surname</label><input class="form-control" type="text" name="surname" value="{{ $beneficiary->surname }}"></div>
    <div class="form-group"><label for="dni">Dni</label><input class="form-control" type="char" name="dni" value="{{ $beneficiary->dni }}"></div>
    <div class="form-group"><label for="birthday">Birthday</label><input class="form-control" type="date" name="birthday" value="{{ $beneficiary->getDateForInput() }}"></div>
    <div class="form-group"><label for="adress">Adress</label><input class="form-control" type="text" name="adress" value="{{ $beneficiary->adress }}"></div>
    <div class="form-group"><label for="phone">Phone</label><input class="form-control" type="integer" name="phone" value="{{ $beneficiary->phone }}"></div>
    <div class="form-group"><label for="email">email</label><input class="form-control" type="text" name="email" value="{{ $beneficiary->email }}"></div>
            <button type="submit" class="btn btn-primary">Update</button>
        </form>
    </div>
</div>
@endsection

resources/views/beneficiary/index.blade.php
@extends('base')

@section('main')
<div class="row">
    <div class="col-sm-12">
        <h1 class="display-3">Beneficiaries</h1>
        <div>
            <a style="margin: 19px;" href="{{ route('beneficiary.create')}}" class="btn btn-primary">New beneficiary</a>
        </div>     
      <table class="table table-striped">
        <thead>
            <tr>
                <td>name</td>
                <td>surname</td>
                <td>dni</td>
                <td>birthday</td>
                <td>adress</td>
                <td>phone</td>
                <td>email</td>
                <td colspan = 2>Actions</td>
            </tr>
        </thead>
        <div class="col-sm-12">
    
                @if(session()->get('success'))
                  <div class="alert alert-success">
                    {{ session()->get('success') }}  
                  </div>
                @endif
              </div>
        <tbody>
        @foreach($beneficiaries as $beneficiary)
            <tr>
                <td>{{$beneficiary->name}}</td>
                <td>{{$beneficiary->surname}}</td>
                <td>{{$beneficiary->dni}}</td>
                <td>{{$beneficiary->birthday->format('d/m/Y')}}</td>
                <td>{{$beneficiary->adress}}</td>
                <td>{{$beneficiary->phone}}</td>
                <td>{{$beneficiary->email}}</td>
                <td>
                    <a href="{{ route('beneficiary.edit',$beneficiary->id)}}" class="btn btn-primary">Edit</a>
                </td>
                <td>
                    <form action="{{ route('beneficiary.destroy', $beneficiary->id)}}" method="post">
                      @csrf
                      @method('DELETE')
                      <button class="btn btn-danger" type="submit">Delete</button>
                    </form>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    <div>
    </div>
@endsection